"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/index.ts
var src_exports = {};
__export(src_exports, {
  ServiceContext: () => ServiceContext,
  isErrorResponse: () => isErrorResponse,
  useServiceQuery: () => useServiceQuery
});
module.exports = __toCommonJS(src_exports);
var import_react = require("react");
var import_react_query = require("@tanstack/react-query");
function useServiceQuery(method, req, options) {
  const reqCtx = (0, import_react.useContext)(ServiceContext);
  return (0, import_react_query.useQuery)({
    ...options,
    queryFn: () => {
      const resp = method(req, {
        ...reqCtx,
        headers: {
          "Content-Type": "application/json",
          ...reqCtx.headers
        }
      });
      if (options?.onError) {
        return resp.catch(options.onError);
      }
      return resp;
    }
  });
}
var ServiceContext = (0, import_react.createContext)({});
function isErrorResponse(error) {
  return error.code !== void 0;
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  ServiceContext,
  isErrorResponse,
  useServiceQuery
});
//# sourceMappingURL=index.cjs.map